UbixOS V2 2.0

Data Fields
sys_socket_args Struct Reference

`#include <sysproto_posix.h>`

Collaboration diagram for sys_socket_args:

## Data Fields
int | domain
char | domain_l_ [0]
char | domain_r_ [(sizeof(register_t)<=sizeof(int) ? 0 :sizeof(register_t) - sizeof(int))]
int | protocol
char | protocol_l_ [0]
char | protocol_r_ [(sizeof(register_t)<=sizeof(int) ? 0 :sizeof(register_t) - sizeof(int))]
int | type
char | type_l_ [0]
char | type_r_ [(sizeof(register_t)<=sizeof(int) ? 0 :sizeof(register_t) - sizeof(int))]

## Detailed Description

Definition at line 641 of file sysproto_posix.h.

## Field Documentation

## ◆ domain

int sys_socket_args::domain

Definition at line 643 of file sysproto_posix.h.

Referenced by sys_socket().

## ◆ domain_l_

char sys_socket_args::domain_l_[0]

Definition at line 642 of file sysproto_posix.h.

## ◆ domain_r_

char sys_socket_args::domain_r_[(sizeof(register_t)<=sizeof(int) ? 0 :sizeof(register_t) - sizeof(int))]

Definition at line 644 of file sysproto_posix.h.

## ◆ protocol

int sys_socket_args::protocol

Definition at line 649 of file sysproto_posix.h.

Referenced by sys_socket().

## ◆ protocol_l_

char sys_socket_args::protocol_l_[0]

Definition at line 648 of file sysproto_posix.h.

## ◆ protocol_r_

char sys_socket_args::protocol_r_[(sizeof(register_t)<=sizeof(int) ? 0 :sizeof(register_t) - sizeof(int))]

Definition at line 650 of file sysproto_posix.h.

## ◆ type

int sys_socket_args::type

Definition at line 646 of file sysproto_posix.h.

Referenced by sys_socket().

## ◆ type_l_

char sys_socket_args::type_l_[0]

Definition at line 645 of file sysproto_posix.h.

## ◆ type_r_

char sys_socket_args::type_r_[(sizeof(register_t)<=sizeof(int) ? 0 :sizeof(register_t) - sizeof(int))]

Definition at line 647 of file sysproto_posix.h.

The documentation for this struct was generated from the following file:

- C:/Dev/git/UbixOS/sys/include/sys/sysproto_posix.h